Conversations
Search conversations
GET
Full-text search across chat and email conversations.
bearer conversations:readheader
AuthorizationBearer <token>API key (rsl_live_…) from Settings → Developers.
Scope: conversations:read
q*stringWords to find in messages, names, emails, subjects or tags.
Length
1 <= length <= 200status?stringValue in
"open""resolved"agentId?stringAI agent id. Never invent ids – list resources first.
Length
1 <= length <= 64limit?integerRange
1 <= value <= 100Default
25Success
application/json- response
data*array<>curl -X GET "https://example.com/conversations/search?q=string"{ "data": [ { "id": "string", "channel": "chat", "status": "open", "state": "waiting_human", "view": "escalated", "subject": "string", "preview": "string", "contact": { "id": "string", "name": "string", "email": "string" }, "agentId": "string", "assignee": { "memberId": "string", "name": "string" }, "inbox": { "id": "string", "name": "string" }, "tags": [ "string" ], "isStarred": true, "snoozedUntil": 0, "topic": "string", "language": "string", "lastActor": "customer", "isArchived": true, "createdAt": 0, "lastActivityAt": 0, "resolvedAt": 0, "dashboardUrl": "string" } ]}